Package com.xebialabs.xlrelease.domain.udm.reporting

## Class CodeComplianceRecord

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.facet.Facet
    - - com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
      - - com.xebialabs.xlrelease.domain.udm.reporting.CodeComplianceRecord

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(label="Security and Compliance",
                description="Unified Data Model for Code Compliance")
      public class CodeComplianceRecord
      extends TaskReportingRecord

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `CONFIGURATION_URI, scope`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodeComplianceRecord()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getAnalysisDate()` |
    `java.lang.String` | `getComplianceData()` |
    `java.lang.String` | `getOutcome()` |
    `java.lang.String` | `getProject()` |
    `java.lang.String` | `getProject_url()` |
    `void` | `setAnalysisDate​(java.util.Date analysisDate)` |
    `void` | `setComplianceData​(java.lang.String complianceData)` |
    `void` | `setOutcome​(java.lang.String outcome)` |
    `void` | `setProject​(java.lang.String project)` |
    `void` | `setProject_url​(java.lang.String project_url)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

      `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeComplianceRecord

          public CodeComplianceRecord()

  - ### Method Detail

    - #### getProject

          public java.lang.String getProject()

    - #### setProject

          public void setProject​(java.lang.String project)

    - #### getProject_url

          public java.lang.String getProject_url()

    - #### setProject_url

          public void setProject_url​(java.lang.String project_url)

    - #### getAnalysisDate

          public java.util.Date getAnalysisDate()

    - #### setAnalysisDate

          public void setAnalysisDate​(java.util.Date analysisDate)

    - #### getOutcome

          public java.lang.String getOutcome()

    - #### setOutcome

          public void setOutcome​(java.lang.String outcome)

    - #### getComplianceData

          public java.lang.String getComplianceData()

    - #### setComplianceData

          public void setComplianceData​(java.lang.String complianceData)